SystemOrganization addCategory: #'Settings-Monticello'!

Object subclass: #MCSystemSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Settings-Monticello'!

!MCSystemSettings class methodsFor: 'settings' stamp: 'SeanDeNigris 11/11/2013 18:39'!
monticelloSettingsOn: aBuilder  
	<systemsettings>  
	(aBuilder group: #monticello)
		label: 'Monticello' translated;
		description: 'All Monticello settings' translated;
		with: [ 
			(aBuilder setting: #showAnnotationPane) 
				label: 'Show annotation pane' translated;
		 		target: MCCodeTool;
		 		description: 'If checked then the annotation pane is shown in Monticello tools; it is dynamically updated with useful informations about the code which is currently browsed' translated.
			(aBuilder setting: #defaultDirectoryName)
				type: #Directory;
				target: MCDirectoryRepository;
				description: 'The path of a directory where you want to start out when choosing local repository locations' translated;
				label: 'Default local repository directory'.
			(aBuilder setting: #cacheDirectory)
				type: #Directory;
				target: MCCacheRepository;
				description: 'The path of the local repository cache' translated;
				label: 'Local cache directory'.	
				
				].! !
